Bug 1649274 - Should "asizeof.py" be marked as "bundled" in the spec?
Summary: Should "asizeof.py" be marked as "bundled" in the spec?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-Pympler
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 10:00 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-03-06 17:06 UTC (History)
1 user (show)

Fixed In Version: python-Pympler-0.6-1.fc28 python-Pympler-0.6-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-06 15:28:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1515053 None CLOSED Review Request: asv - Airspeed Velocity: A simple Python history benchmarking tool 2019-05-02 00:55:12 UTC

Internal Links: 1515053

Description Ankur Sinha (FranciscoD) 2018-11-13 10:00:21 UTC
Description of problem:

asizeof.py seems to be a general utility that lots of python packages are bundling. I wonder if it should be marked as bundled in the spec as the guidelines suggest?


https://bugzilla.redhat.com/show_bug.cgi?id=1515053 is an example of another package that bundles it.

Comment 1 Ankur Sinha (FranciscoD) 2018-11-13 10:05:16 UTC
We do it for netcdf which nibabel bundles, for example: https://src.fedoraproject.org/rpms/python-nibabel/blob/master/f/python-nibabel.spec#_46

Comment 2 Dominik 'Rathann' Mierzejewski 2018-11-13 11:17:29 UTC
Yes, it should. Thanks for catching. Please send a PR or I'll fix this in the next build.

Comment 3 Ankur Sinha (FranciscoD) 2018-11-13 11:49:57 UTC
PR opened for rawhide: https://src.fedoraproject.org/rpms/python-Pympler/pull-request/2

Comment 4 Fedora Update System 2019-02-26 16:52:07 UTC
python-Pympler-0.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7545750085

Comment 5 Fedora Update System 2019-02-26 16:52:17 UTC
python-Pympler-0.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e61ecc2372

Comment 6 Fedora Update System 2019-02-27 01:54:57 UTC
python-Pympler-0.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7545750085

Comment 7 Fedora Update System 2019-02-27 03:54:38 UTC
python-Pympler-0.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e61ecc2372

Comment 8 Fedora Update System 2019-03-06 15:28:10 UTC
python-Pympler-0.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-03-06 17:06:59 UTC
python-Pympler-0.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.